---
title: "Update account"
slug: "update-account"
updated: 2026-01-08T07:25:47Z
published: 2026-01-08T07:25:49Z
---

> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xendit.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Update account

Patch/v2/accounts/{id}

The Update Account API allows you to update a sub-account's information or link an Account Holder (legacy API) to verify the account.

SecurityHTTPType basic

Path parametersidstringRequiredExample5cafeb170a2b18519b1b8761

Body parameters<select class='api-response-data' aria-label='Media type'><option value='cb9a7b59-8866-49cd-9e18-37b65ea3e0db'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='1956d280-07b0-4e2c-8ae7-c8731d3b62da'>Update Business Name</option>
<option value='e5857c5f-ffa7-4982-8807-54a3fdae5871'>Link Account Holder</option>
</select>Update Business Name

```json
{
  "public profile": {
    "business_name": "New Business Name"
  }
}
```

Link Account Holder

```json
{
  "account_holder_id": "4376b7b0-1c44-46be-8640-828f79cdc8be"
}
```

Expand Allobject  emailstring  (email)    

A valid email address associated with the object

Max length255Exampletest@example.co
public_profileobject (public_profile)  business_namestring    

Public name of the account.

descriptionstring    

Additional description visible publicly.

account_holder_idstring    

The unique ID of an Account Holder object

Responses200<select class='api-response-data' aria-label='Media type'><option value='cb1a1706-e6bf-4643-b63c-7c2091480348'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='a2ac2a11-ce59-4710-9740-cda8bee0e73f'>Owned Sub-account</option>
<option value='0cc559e8-10e0-485a-8d43-ebbb399d16d1'>Link Account Holder</option>
</select>Owned Sub-account

```json
{
  "id": "5cafeb170a2b18519b1b8761",
  "created": "2021-01-01T10:00:00Z",
  "updated": "2021-01-01T10:00:00Z",
  "type": "OWNED",
  "email": "angie@pinkpanther.com",
  "public_profile": {
    "business_name": "Angie's lemonade stand"
  },
  "status": "LIVE"
}
```

Link Account Holder

```json
{
  "id": "5cafeb170a2b18519b1b8761",
  "created": "2021-01-01T10:00:00Z",
  "updated": "2021-01-01T10:00:00Z",
  "type": "OWNED",
  "email": "angie@pinkpanther.com",
  "public_profile": {
    "business_name": "Angie's lemonade stand"
  },
  "status": "LIVE",
  "account_holder_id": "4376b7b0-1c44-46be-8640-828f79cdc8be"
}
```

Expand Allobject  idstring    

ID of your Account, use this in the for-user-id header to create transactions on behalf of your Account

createdstring  (date-time)    

Timestamp of when the object was created

updatedstring  (date-time)    

Timestamp of when the object was updated

typestring    

The type of account created

Valid values[
  "MANAGED",
  "OWNED"
]
emailstring  (email)    

A valid email address associated with the object

Max length255Exampletest@example.co
public_profileobject (public_profile)  business_namestring    

Public name of the account.

descriptionstring    

Additional description visible publicly.

countrystring    

The country (based on ISO 3166-1 Alpha-2) of incorporation for a business, or the country of residence for an individual.

Valid values[
  "ID",
  "PH",
  "VN",
  "MY",
  "TH"
]
statusstring    

Status of the Account you are creating.

Valid values[
  "INVITED",
  "REGISTERED",
  "AWAITING_DOCS",
  "PENDING_VERIFICATION",
  "LIVE",
  "SUSPENDED"
]

404

Not found error

<select class='api-response-data' aria-label='Media type'><option value='cb6cb2cf-75e0-43b7-8b0a-819c8bdf26b2'>application/json</option>
</select><select class='select-example' aria-label='Media type'><option value='f077b57a-a35d-4e02-ac3b-0ec67d6fad13'>DATA_NOT_FOUND</option>
</select>DATA_NOT_FOUND

```json
{
  "error_code": "DATA_NOT_FOUND",
  "message": "Could not find payout with the corresponding ID. Please try again with a valid ID.",
  "errors": [
    "Detailed description here"
  ]
}
```

object  

The object being referenced does not exist

error_codestring    Valid values[
  "DESTINATION_ACCOUNT_NOT_FOUND",
  "DATA_NOT_FOUND",
  "CALLBACK_AUTHENTICATION_TOKEN_NOT_FOUND_ERROR"
]
messagestring    
errors Array  OneOfstringstring
objectobject
